function [I1, I2] = load_images(directory, data_set, st)

if strcmp(data_set, 'tom') == 1
  I1 = double(imread(strcat(directory,'tom/tom1.png')));
  I2 = double(imread(strcat(directory,'tom/tom2.png'))); 
end


if strcmp(data_set, 'army') == 1
  I1 = double(imread(strcat(directory,'middlebury/eval-data-gray/Army/frame10.png')));
  I2 = double(imread(strcat(directory,'middlebury/eval-data-gray/Army/frame11.png'))); 
end

if strcmp(data_set, 'schefflera') == 1
  I1 = double(imread(strcat(directory,'middlebury/eval-data-gray/Schefflera/frame10.png')));
  I2 = double(imread(strcat(directory,'middlebury/eval-data-gray/Schefflera/frame11.png')));
end

if strcmp(data_set, 'teddy') == 1
  I1 = double(imread(strcat(directory,'middlebury/eval-data-gray/Teddy/frame10.png')));
  I2 = double(imread(strcat(directory,'middlebury/eval-data-gray/Teddy/frame11.png')));
end

if strcmp(data_set, 'mequon') == 1
  I1 = double(imread(strcat(directory,'middlebury/eval-data-gray/Mequon/frame10.png')));
  I2 = double(imread(strcat(directory,'middlebury/eval-data-gray/Mequon/frame11.png')));
end

if strcmp(data_set, 'grove') == 1
  I1 = double(imread(strcat(directory,'middlebury/eval-data-gray/Grove/frame10.png')));
  I2 = double(imread(strcat(directory,'middlebury/eval-data-gray/Grove/frame11.png')));
end

if strcmp(data_set, 'yosemite') == 1
  I1 = double(imread(strcat(directory,'Yosemite/frame10.png')));
  I2 = double(imread(strcat(directory,'middlebury/eval-data-gray/Yosemite/frame11.png')));
end

if strcmp(data_set, 'urban') == 1
  I1 = double(imread(strcat(directory,'middlebury/eval-data-gray/Urban/frame10.png')));
  I2 = double(imread(strcat(directory,'middlebury/eval-data-gray/Urban/frame11.png')));
end

if strcmp(data_set, 'wooden') == 1
  I1 = double(imread(strcat(directory,'middlebury/eval-data-gray/Wooden/frame10.png')));
  I2 = double(imread(strcat(directory,'middlebury/eval-data-gray/Wooden/frame11.png')));
end

if strcmp(data_set, 'beanbags') == 1
  I1 = double(imread(strcat(directory,'middlebury/other-data-gray/Beanbags/frame10.png')));
  I2 = double(imread(strcat(directory,'middlebury/other-data-gray/Beanbags/frame11.png')));
end

if strcmp(data_set, 'backyard') == 1
  I1 = double(imread(strcat(directory,'middlebury/eval-data-gray/Backyard/frame10.png')));
  I2 = double(imread(strcat(directory,'middlebury/eval-data-gray/Backyard/frame11.png')));
end

if strcmp(data_set, 'basketball') == 1
  I1 = double(imread(strcat(directory,'middlebury/eval-data-gray/Basketball/frame10.png')));
  I2 = double(imread(strcat(directory,'middlebury/eval-data-gray/Basketball/frame11.png')));
end

if strcmp(data_set, 'dumptruck') == 1
  I1 = double(imread(strcat(directory,'middlebury/eval-data-gray/Dumptruck/frame10.png')));
  I2 = double(imread(strcat(directory,'middlebury/eval-data-gray/Dumptruck/frame11.png')));
end

if strcmp(data_set, 'evergreen') == 1
  I1 = double(imread(strcat(directory,'middlebury/eval-data-gray/Evergreen/frame10.png')));
  I2 = double(imread(strcat(directory,'middlebury/eval-data-gray/Evergreen/frame11.png')));
end

if strcmp(data_set, 'venus') == 1
  I1 = double(imread(strcat(directory,'middlebury/other-data-gray/Venus/frame10.png')));
  I2 = double(imread(strcat(directory,'middlebury/other-data-gray/Venus/frame11.png')));
end

if strcmp(data_set, 'minicooper') == 1
  I1 = double(imread(strcat(directory,'middlebury/other-data-gray/MiniCooper/frame10.png')));
  I2 = double(imread(strcat(directory,'middlebury/other-data-gray/MiniCooper/frame11.png')));
end

if strcmp(data_set, 'rubberWhale') == 1
  I1 = double(imread(strcat(directory,'middlebury/other-data-gray/RubberWhale/frame10.png')));
  I2 = double(imread(strcat(directory,'middlebury/other-data-gray/RubberWhale/frame11.png')));
end

if strcmp(data_set, 'urban3') == 1
  I1 = double(imread(strcat(directory,'middlebury/other-data-gray/Urban3/frame10.png')));
  I2 = double(imread(strcat(directory,'middlebury/other-data-gray/Urban3/frame11.png')));
end

I1 = I1/255;
I2 = I2/255;

if st==1
    gk = fspecial('gaussian', [9 9], 2.0);
    I1m = imfilter(I1, gk, 'symmetric');
    I2m = imfilter(I2, gk, 'symmetric');
    alpha = 0.95;
    I1 = (1-alpha)*I1 + alpha*(I1 - I1m);
    I2 = (1-alpha)*I2 + alpha*(I2 - I2m);
end
  
end
